Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SelectionRay Class Reference
Inheritance diagram for SelectionRay:

## Public Member Functions
| __init__ (self, parentNP=None)
| pick (self, targetNodePath, xy=None)
| pick3D (self, targetNodePath, origin, dir)
| pickBitMask (self, bitMask=BitMask32.allOff(), targetNodePath=None, skipFlags=SKIP_ALL)
| pickBitMask3D (self, bitMask=BitMask32.allOff(), targetNodePath=None, origin=Point3(0), dir=Vec3(0, 0, -1), skipFlags=SKIP_ALL)
| pickGeom (self, targetNodePath=None, skipFlags=SKIP_ALL, xy=None)
| pickGeom3D (self, targetNodePath=None, origin=Point3(0), dir=Vec3(0, 0, -1), skipFlags=SKIP_HIDDEN|SKIP_CAMERA)
| pickWidget (self, targetNodePath=None, skipFlags=SKIP_NONE)
Public Member Functions inherited from SelectionQueue
| __init__ (self, parentNP=None)
| addCollider (self, collider)
| addUnpickable (self, item)
| collideWithBitMask (self, bitMask)
| collideWithGeom (self)
| collideWithWidget (self)
| findCollisionEntry (self, skipFlags=SKIP_NONE, startIndex=0)
| findNextCollisionEntry (self, skipFlags=SKIP_NONE)
| getCurrentEntry (self)
| isEntryBackfacing (self, entry)
| removeUnpickable (self, item)
| setCurrentEntry (self, entry)
| setCurrentIndex (self, index)
| setParentNP (self, parentNP)

## Additional Inherited Members
Public Attributes inherited from SelectionQueue
| collider = collider
| collisionNode = self.collisionNodePath.node()
| collisionNodePath = NodePath(CollisionNode("collisionNP"))
| ct = CollisionTraverser("DirectSelection")
| entry = None
int | index = -1
| skipFlags = SKIP_NONE
| unpickable = UNPICKABLE

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parentNP = None )

## Member Function Documentation

## ◆ pick()

pick | ( |  | self,
|  |  | targetNodePath,
|  |  | xy = None )

## ◆ pick3D()

pick3D | ( |  | self,
|  |  | targetNodePath,
|  |  | origin,
|  |  | dir )

## ◆ pickBitMask()

pickBitMask | ( |  | self,
|  |  | bitMask = BitMask32.allOff(),
|  |  | targetNodePath = None,
|  |  | skipFlags = SKIP_ALL )

## ◆ pickBitMask3D()

pickBitMask3D | ( |  | self,
|  |  | bitMask = BitMask32.allOff(),
|  |  | targetNodePath = None,
|  |  | origin = Point3(0),
|  |  | dir = Vec3(0, 0, -1),
|  |  | skipFlags = SKIP_ALL )

## ◆ pickGeom()

pickGeom | ( |  | self,
|  |  | targetNodePath = None,
|  |  | skipFlags = SKIP_ALL,
|  |  | xy = None )

## ◆ pickGeom3D()

pickGeom3D | ( |  | self,
|  |  | targetNodePath = None,
|  |  | origin = Point3(0),
|  |  | dir = Vec3(0, 0, -1),
|  |  | skipFlags = SKIP_HIDDEN | SKIP_CAMERA )

## ◆ pickWidget()

pickWidget | ( |  | self,
|  |  | targetNodePath = None,
|  |  | skipFlags = SKIP_NONE )